#include "SMSConversation.h"

CSMSConversation::CSMSConversation(CContact ConversationContact)
{
    mConversationContact = ConversationContact;
}

CSMSConversation::CSMSConversation()
{

}

CSMSConversation::~CSMSConversation()
{
    for(int i = 0; i < mMessages.size(); i++)
    {
        delete mMessages.at(i);
    }

    mMessages.clear();
}

int CSMSConversation::InsertNewMessage(CSMSMessage *Message)
{
    mMessages.prepend(Message);

    return RET_OK;
}

int CSMSConversation::InsertMessage(CSMSMessage *Message)
{
    mMessages.append(Message);

    return RET_OK;
}

CContact* CSMSConversation::GetConversationContact()
{
    return &mConversationContact;
}

int CSMSConversation::SetConversationContact(CContact *Contact)
{
    mConversationContact = *Contact;
    return RET_OK;
}

CSMSMessage* CSMSConversation::GetMostRecentMessage()
{
    if(mMessages.isEmpty())
    {
        return 0;
    }

    return mMessages.at(0);
}

QList<CSMSMessage*> *CSMSConversation::GetMessages()
{
    return &mMessages;
}
